# CEGUI::Font_xmlHandler Class Reference

Handler class used to parse the Font XML files using SAX2. More...

Collaboration diagram for CEGUI::Font_xmlHandler:

[legend]
List of all members.

## Public Member Functions

| Font_xmlHandler (Font *font)
| Constructor for Font::xmlHandler objects.
virtual | ~Font_xmlHandler (void)
| Destructor for Font::xmlHandler objects.
virtual void | elementStart (const String &element, const XMLAttributes &attributes)
| document processing (only care about elements, schema validates format)
virtual void | elementEnd (const String &element)

## Detailed Description

Handler class used to parse the Font XML files using SAX2.

## Constructor & Destructor Documentation

CEGUI::Font_xmlHandler::Font_xmlHandler | ( | Font * | font | ) | `[inline]`

Constructor for Font::xmlHandler objects.

Parameters:

  | font | Pointer to the Font object creating this xmlHandler object